Subject: Re: FVWM: Autoraise or FvwmAuto? - SOLVED

From: "David P. Ihnen" <[email-masked]>
Date: Wed, 26 Feb 1997 15:34:58 -0800

At 12:34 AM 2/27/97 +0100, Albrecht Kadlec wrote:
>> X-Sender: [email-masked]
>> Sender: [email-masked]
>> Precedence: list
>> X-Majordomo: 1.94.1
>> 
>> At 12:46 AM 2/26/97 GMT, David Kennedy wrote:
>> >
>> >>  From [email-masked] Wed Feb 26 00:39:18 1997
>> >>  At 12:20 AM 2/26/97 GMT, David Kennedy wrote:
>> >>  >David said:
>> >>  >>  One of my users wishes to have windows automatically raise when she
>> moves
>> >>  >>  the mouse into them.  This sounds like FvwmAuto to me, so I tried
>> >>  >>  experimenting with it.  the result was the error:
>> >>  >>  
>> >>  >>  FvwmAuto requires one arugument.
>> >>  >>  
>> >>  >>  The syntax: (in my module menu definition)
>> >>  >>  
>> >>  >>  +       "FvwmAuto"      Module FvwmAuto 200 raise lower
>> >>  >>  
>> >>  >>  I can't comprehend what is going wrong here...
>> >>  >
>> >>  >Try simply having:
>> >>  >+	"FvwmAuto" 	Module FvwmAuto 200 
>> >>  >
>> >>  >
>> >>  >Like the error said, FvwmAuto only needs one argument.
>
>old versions. now one to three args are ok.
>
>from the code: (last version, I submitted)
>
>    if(argc < 7 || argc > 9)
>    {
>	fprintf(stderr,"FvwmAuto for fvwm-" VERSION " can use one to three
arguments.\n");
>	exit(1);
>    }
>
>so you must have an old version around.
>maybe check your ModulePath (did you compile 2.0.45 locally and is
>there a global path still in your ModulePath ?

ModulePath /usr/local/tools/X11/fvwm:/users/lchang/tools/X11/fvwm

For some reason the FvwmAuto in the lchang directory was being run instead
of the one local.  I switched them around with the same result, switched
them back and it worked.  Go figure.  That's a computer for you.

David

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].